Six4Win.WebApi

<back to all web services

GetPoolTransactionRequests

The following routes are available for this service:
All Verbs/qry/pool-transaction-requests
PaginatedQueryRequest Parameters:
NameParameterData TypeRequiredDescription
CurrentPageformintNo
PageSizeformintNo
QueryRequest Parameters:
NameParameterData TypeRequiredDescription
QryformRecordDictionary<string, string>Yes
PaginatedResult<T> Parameters:
NameParameterData TypeRequiredDescription
DataformList<Bet>Yes
CurrentPageformlongNo
PageSizeformlongNo
TotalItemsformlongNo
TotalPagesformlongNo
Bet Parameters:
NameParameterData TypeRequiredDescription
IdformstringNo
OrdinalOfAvailableRoundToAssignToformintNo
ContentformstringNo
StakeformdecimalNo
PayloadformDictionary<string, string>No

To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json

To embed the response in a jsonp callback, append ?callback=myCallback

HTTP + JSON

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /qry/pool-transaction-requests HTTP/1.1 
Host: s4w2.api.bettor.webhop.biz 
Accept: application/json
Content-Type: application/json
Content-Length: length

{"currentPage":0,"pageSize":0,"qry":{"String":"String"}}
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length

{"data":[{"id":"String","transaction":{"source":{"id":0,"name":"String"},"destination":{"id":0,"name":"String"},"amount":0},"status":0,"state":0,"failureReason":"String","auditInfo":{"issuer":"String","time":"0001-01-01T00:00:00.0000000Z","data":{"String":"String"}}}],"currentPage":0,"pageSize":0,"totalItems":0,"totalPages":0}